# UpdatePromotionInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### publicName ([String](/graphql-api/api-reference/objects/string.md))

Alternative name to be displayed on invoices and checkout.

#### autoApply ([Boolean](/graphql-api/api-reference/objects/boolean.md))

Whether or not this promotion will automatically be applied on checkout

#### deactivationStrategy ([AppliedPromotionDeactivationStrategy](/graphql-api/api-reference/objects/applied-promotion-deactivation-strategy.md))

Which mechanism will be used to deactivate the promotion

#### deactivateAfterAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount (in cents) after which the promotion should get deactivated on a customer

#### deactivateAfterTimes ([Int](/graphql-api/api-reference/objects/int.md))

After how many times this promotion is "used up" for a customer

#### discountType ([PromotionDiscountTypeEnum](/graphql-api/api-reference/objects/promotion-discount-type-enum.md))

Which type of the discount will be used.

#### amountCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount of discount that this promotion gives.

#### activated ([Boolean](/graphql-api/api-reference/objects/boolean.md))

Whether or not this promotion should be active

#### countryOverrides (\[[PromotionCountryOverrideInput](/graphql-api/api-reference/objects/promotion-country-override-input.md)!])

Country specific setting overrides for this promotion. These will override default promotion settings for specified countries. Add new or update override for existing name/countryCode combination. Note: This feature is currently in beta testing - overrides will only take effect once enabled for your account by Firmhouse.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

#### title ([String](/graphql-api/api-reference/objects/string.md))

The title of the promotion as it will appear on invoices and in the portal.

#### percentDiscount ([Int](/graphql-api/api-reference/objects/int.md))

The percentage of discount that this promotion gives.

#### countryOverridesDelete (\[[PromotionCountryOverrideDeleteInput](/graphql-api/api-reference/objects/promotion-country-override-delete-input.md)!])

Country specific setting overrides to remove for this promotion based on the name and countryCode.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/update-promotion-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
